Subject: bug#63875: 26.3; Doc of `dired-guess-shell-alist-user'

From: Eli Zaretskii <[email-masked]>
Date: Sat, 03 Jun 2023 21:50:05 +0300

> From: Drew Adams <[email-masked]>
> CC: "[email-masked]" <[email-masked]>
> Date: Sat, 3 Jun 2023 17:20:14 +0000
> 
> > > But it would be good, I think, to add that it's
> > > not just about shell commands.  Some users will
> > > not recognize that they can invoke executable
> > > programs this way.
> > 
> > Shell commands are a super-set of executable programs, so I see no
> > reason to change anything here.  The variable is used to invoke
> > commands via a shell, so "shell command" is exactly right.
> 
> Yes, but many Emacs users won't know that.

Why wouldn't they? we have a chapter named "Running Shell Commands
from Emacs" in the Emacs manual.  Typing "i shell commands RET" in
Info brings you there.

I think you see a problem where there is none.